Subject: RE: [Rfid] Slrrp-Draft

From: "Scott Barvick" <[email-masked]>
Date: Mon, 17 Jan 2005 19:43:43 -0800

Steve,
 
Thanks again for the input.  I'll respond to the XML question here.  I don't think it really is religious because the SLRRP goals of efficiency, ubiquity, tight control, and achieving the network-centric focus that Krishna discusses in his response essentially require binary coding.   The binary style of IETF protocols continues to be the standard for IP communications infrastructure with enough proven solutions for flexibility in versioning, vendor extensions, and parameter selection to provide confidence in this approach.  BTW, I'll be the first to admit that the current draft has not sufficiently addressed all of the above requirements, so there are many opportunities for contribution.
 
Scott

________________________________

From: [email-masked] on behalf of [email-masked]
Sent: Sun 1/16/2005 11:20 PM
To: [email-masked]
Subject: [Rfid] Slrrp-Draft

All:

I am trying to get up to speed on the Slrrp protocol and have read the draft:
draft-krishna-slrrp-00.txt.  I find that I am seriously in need of a introductory document,  i. e. what levels of support are contemplated (command by command, continuous inventory with deltas, etc) and how high level controls and low level controls are going to be intermingled.  For example, is it going to be possible to simply ask for an inventory process to run and report new tags, but to also control the precise times that a reader will be running, (for air interface control)?  What processes are available for discovery? (capabilities both of the reader, and of the tag addressed)

This is probably a religious point, but direct binary coded interfaces with fixed fields seem to be losing mind share to XML, (less efficient, but extensible).  Is the efficiency worth the price in flexibility?

Steve Smith

_______________________________________________
Rfid mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rfid

_______________________________________________
Rfid mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rfid